#
# Description: <Method description here>
#
begin                                                            
  @debug = true                                                 
  r = ['Maximo','Citrix10','Citrix7','IC','IC-Linux'].sample     
                                                                                   
  case r                                                         
    when 'Maximo'                                                
      name = 'MAX'                                               
      rx_validator = '^MAX[A-Za-z0-9\-\_]{1,40}$'                
    when 'Citrix7'                                               
      name = 'VRA-WIN7-'                                         
      rx_validator = '^[V][R][A][-][W][I][N][7][-][A-Z0-9]{1,6}$'
    when 'Citrix10'                                              
      name = 'VRA-WINX-'                                         
      rx_validator = '^[V][R][A][-][W][I][N][X][-][A-Z0-9]{1,6}$'
    when 'IC'                                                    
      name = 'CHATW'                                             
      rx_validator = '^[C][H][A][T][W][A-Za-z0-9-_]{1,10}$'      
    when 'IC-Linux'                                              
      name = 'chatu'                                             
      rx_validator = '^[c][h][a][t][u][a-z0-9-_]{1,30}$'         
  end                                                            
  $evm.log(:info, "Name: #{name}") if @debug                     
  $evm.log(:info, "Validator: #{rx_validator}") if @debug        
                                                                                   
  list_values = {                                                
    'required' => true,                                          
    'validator_type' => 'regex',                                 
    'validator_rule' => rx_validator,                            
    'protected' => false,                                        
    'read_only' => false,                                        
    'value' => name,                                             
  }                                                              
  list_values.each do |key, value|                               
    $evm.object[key] = value                                     
  end                                                            
end 
